#!/bin/bash
#openssl version -v | grep -Eo "([0-9]{1}\.[0-9]{1}\.[0-9]{1})"
FILE="/usr/local/etc/hip/my_host_identities.xml"
if [ ! -f "$FILE" ]; then
  echo "$FILE doesn't exists"
  openssl_version=1.0.2l
  # (Install compiling library Make)
  echo "Installing required libraries"
  apt-get -y install make;
  apt-get -y install autotools-dev
  apt-get -y install automake
  apt-get -y install libssl1.0-dev
  apt-get -y install libxml2-dev
  echo "Done installing libraries"

  echo "Downgrading to openssl $openssl_version"
  # (Download the latest OpenSSL 1.0.2g binaries)
  wget https://www.openssl.org/source/openssl-$openssl_version.tar.gz
  # (Extract the tar ball to the local directory)
  tar -xzvf openssl-$openssl_version.tar.gz
  # (Enter extracted OpenSSL directory)
  cd openssl-$openssl_version
  #  (Configure binaries for compiling)
  ./config
  # (install configured binaries)
  make install
  # (This will create a sym link to the new binaries)
  ln -sf /usr/local/ssl/bin/openssl `which openssl`
  # (Used to check the version of the Current OpenSSL binaries)
  openssl version -v
  cd ..

  echo "Cloning openhit repository"
  git clone https://bitbucket.org/openhip/openhip.git
  cd openhip
  ./bootstrap.sh
  #(might need to disable -Werror to be able to run make)
  sed -i 's/-Werror//g' ./configure
  ./configure
  make
  ./src/hitgen
fi

HIT=$(awk -F'[<>]' '/<HIT>/{print $3}' $FILE)
echo "HIT = $HIT"
bash bluetoothBeacon.sh $HIT
