from datetime import datetime
import struct
import time
from binascii import hexlify

TIMESTAMP_OFFSET = 1546300800 # Offset from Jan 1st 00:00:00 2019

def ieee754_float_to_int_hex(f):
    return hex(struct.unpack('<I', struct.pack('<f', f))[0])[2:] # IEEE 754 floating point

def astm_float_to_int_hex(f: int):
  return hexlify(round(f*1e7).to_bytes(4, 'little')).decode("utf-8")

def int_bytes_to_astm_float(int_hex: bytes):
  return int.from_bytes(int_hex, 'little')/1e7

def convert_be_to_le(val: int):
  return struct.unpack('>I', struct.pack('<i', val))[0]

def astm_time():
  return time.time() - TIMESTAMP_OFFSET

def get_timestamp(expiration_date: datetime):
  return int(expiration_date.timestamp() - TIMESTAMP_OFFSET)