#!/bin/bash

# Make sure irohad is in your $PATH.


container=$(docker ps -a | grep nodedb_0 | cut -d$'\n' -f 1 | cut -d' ' -f 1)
if (( ${#container} > 0 )); then
  if [ "$( docker container inspect -f '{{.State.Status}}' $container )" == "running" ]; then
    docker container kill $container
  fi
  docker container rm $container
fi

volume=$(docker volume ls | grep pgdata_0 | cut -d$'\n' -f 1 | awk '{print $2}')
echo $volume
if (( ${#volume} > 0 )) ; then
  docker volume rm $volume
fi

docker volume create pgdata_0
docker run --name nodedb_0 \
  -p 5432:5432 \
  -v pgdata_0:/var/lib/postgresql/data \
  -e POSTGRES_USER="postgres" \
  -e POSTGRES_PASSWORD="QPtc2AssTNv2ugnD" \
  -d postgres:9.5 \
  -c 'max_prepared_transactions=100'

sleep 3

irohad \
  -genesis_block genesis.json \
  -config config.json \
  -keypair_name node_0 \
  -overwrite_ledger